"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldDefinitions = void 0;
var fieldDefinition_1 = require("../models/fieldDefinition");
var FieldDefinitions = /** @class */ (function () {
    function FieldDefinitions() {
    }
    FieldDefinitions.getFieldDefinition = function (fieldName) {
        return this.fields[fieldName];
    };
    //HL7 Version 2.6
    FieldDefinitions.fields = {
        //ACC: Accident
        "ACC": new fieldDefinition_1.FieldDefinition("Accident"),
        "ACC-1": new fieldDefinition_1.FieldDefinition("Accident Date/Time", 24),
        "ACC-2": new fieldDefinition_1.FieldDefinition("Accident Code", 250),
        "ACC-3": new fieldDefinition_1.FieldDefinition("Accident Location", 25),
        "ACC-4": new fieldDefinition_1.FieldDefinition("Auto Accident State", 250),
        "ACC-5": new fieldDefinition_1.FieldDefinition("Accident Job Related Indicator", 1),
        "ACC-6": new fieldDefinition_1.FieldDefinition("Accident Death Indicator", 12),
        "ACC-7": new fieldDefinition_1.FieldDefinition("Entered By", 3220),
        "ACC-8": new fieldDefinition_1.FieldDefinition("Accident Description", 25),
        "ACC-9": new fieldDefinition_1.FieldDefinition("Brought In By", 80),
        "ACC-10": new fieldDefinition_1.FieldDefinition("Police Notified Indicator", 1),
        "ACC-11": new fieldDefinition_1.FieldDefinition("Accident Address", 250),
        //DG1: Diagnosis
        "DG1": new fieldDefinition_1.FieldDefinition("Diagnosis"),
        "DG1-1": new fieldDefinition_1.FieldDefinition("Set ID - DG1", 4),
        "DG1-2": new fieldDefinition_1.FieldDefinition("Diagnosis Coding Method", 2),
        "DG1-3": new fieldDefinition_1.FieldDefinition("Diagnosis Code - DG1", 250),
        "DG1-4": new fieldDefinition_1.FieldDefinition("Diagnosis Description", 40),
        "DG1-5": new fieldDefinition_1.FieldDefinition("Diagnosis Date/Time", 26),
        "DG1-6": new fieldDefinition_1.FieldDefinition("Diagnosis Type", 2),
        "DG1-7": new fieldDefinition_1.FieldDefinition("Major Diagnostic Category", 250),
        "DG1-8": new fieldDefinition_1.FieldDefinition("Diagnostic Related Group", 250),
        "DG1-9": new fieldDefinition_1.FieldDefinition("DRG Approval Indicator", 1),
        "DG1-10": new fieldDefinition_1.FieldDefinition("DRG Grouper Review Code", 2),
        "DG1-11": new fieldDefinition_1.FieldDefinition("Outlier Type", 250),
        "DG1-12": new fieldDefinition_1.FieldDefinition("Outlier Days", 3),
        "DG1-13": new fieldDefinition_1.FieldDefinition("Outlier Cost", 12),
        "DG1-14": new fieldDefinition_1.FieldDefinition("Grouper Version And Type", 4),
        "DG1-15": new fieldDefinition_1.FieldDefinition("Diagnosis Priority", 2),
        "DG1-16": new fieldDefinition_1.FieldDefinition("Diagnosing Clinician", 250),
        "DG1-17": new fieldDefinition_1.FieldDefinition("Diagnosis Classification", 3),
        "DG1-18": new fieldDefinition_1.FieldDefinition("Confidential Indicator", 1),
        "DG1-19": new fieldDefinition_1.FieldDefinition("Attestation Date/Time", 24),
        "DG1-20": new fieldDefinition_1.FieldDefinition("Diagnosis Identifier", 427),
        "DG1-21": new fieldDefinition_1.FieldDefinition("Diagnosis Action Code", 1),
        "DG1-22": new fieldDefinition_1.FieldDefinition("Parent Diagnosis", 427),
        "DG1-23": new fieldDefinition_1.FieldDefinition("DRG CCL Value Code", 705),
        "DG1-24": new fieldDefinition_1.FieldDefinition("DRG Grouping Usage", 20),
        "DG1-25": new fieldDefinition_1.FieldDefinition("DRG Diagnosis Determination Status", 20),
        "DG1-26": new fieldDefinition_1.FieldDefinition("Present On Admission (POA) Indicator", 1),
        //EVN: Event Type
        "EVN": new fieldDefinition_1.FieldDefinition("Event Type"),
        "EVN-1": new fieldDefinition_1.FieldDefinition("Event Type Code", 3),
        "EVN-2": new fieldDefinition_1.FieldDefinition("Recorded Date/Time", 24),
        "EVN-3": new fieldDefinition_1.FieldDefinition("Date/Time Planned Event", 24),
        "EVN-4": new fieldDefinition_1.FieldDefinition("Event Reason Code", 3),
        "EVN-5": new fieldDefinition_1.FieldDefinition("Operator ID", 250),
        "EVN-6": new fieldDefinition_1.FieldDefinition("Event Occurred", 24),
        "EVN-7": new fieldDefinition_1.FieldDefinition("Event Facility", 241),
        //IN1: Insurance
        "IN1": new fieldDefinition_1.FieldDefinition("Insurance"),
        "IN1-1": new fieldDefinition_1.FieldDefinition(" Set ID - IN1 ", 4),
        "IN1-2": new fieldDefinition_1.FieldDefinition(" Insurance Plan ID ", 250),
        "IN1-3": new fieldDefinition_1.FieldDefinition(" Insurance Company ID ", 250),
        "IN1-4": new fieldDefinition_1.FieldDefinition(" Insurance Company Name ", 250),
        "IN1-5": new fieldDefinition_1.FieldDefinition(" Insurance Company Address ", 250),
        "IN1-6": new fieldDefinition_1.FieldDefinition(" Insurance Co Contact Person ", 250),
        "IN1-7": new fieldDefinition_1.FieldDefinition(" Insurance Co Phone Number ", 250),
        "IN1-8": new fieldDefinition_1.FieldDefinition(" Group Number ", 12),
        "IN1-9": new fieldDefinition_1.FieldDefinition(" Group Name ", 250),
        "IN1-10": new fieldDefinition_1.FieldDefinition(" Insured's Group Emp ID ", 250),
        "IN1-11": new fieldDefinition_1.FieldDefinition(" Insured's Group Emp Name ", 250),
        "IN1-12": new fieldDefinition_1.FieldDefinition(" Plan Effective Date ", 8),
        "IN1-13": new fieldDefinition_1.FieldDefinition(" Plan Expiration Date ", 8),
        "IN1-14": new fieldDefinition_1.FieldDefinition(" Authorization Information ", 239),
        "IN1-15": new fieldDefinition_1.FieldDefinition(" Plan Type ", 3),
        "IN1-16": new fieldDefinition_1.FieldDefinition(" Name Of Insured ", 250),
        "IN1-17": new fieldDefinition_1.FieldDefinition(" Insured's Relationship To Patient", 250),
        "IN1-18": new fieldDefinition_1.FieldDefinition(" Insured's Date Of Birth ", 24),
        "IN1-19": new fieldDefinition_1.FieldDefinition(" Insured's Address ", 250),
        "IN1-20": new fieldDefinition_1.FieldDefinition(" Assignment Of Benefits ", 2),
        "IN1-21": new fieldDefinition_1.FieldDefinition(" Coordination Of Benefits ", 2),
        "IN1-22": new fieldDefinition_1.FieldDefinition(" Coord Of Ben. Priority ", 2),
        "IN1-23": new fieldDefinition_1.FieldDefinition(" Notice Of Admission Flag ", 1),
        "IN1-24": new fieldDefinition_1.FieldDefinition(" Notice Of Admission Date ", 8),
        "IN1-25": new fieldDefinition_1.FieldDefinition(" Report Of Eligibility Flag ", 1),
        "IN1-26": new fieldDefinition_1.FieldDefinition(" Report Of Eligibility Date ", 8),
        "IN1-27": new fieldDefinition_1.FieldDefinition(" Release Information Code ", 2),
        "IN1-28": new fieldDefinition_1.FieldDefinition(" Pre-Admit Cert ", 15),
        "IN1-29": new fieldDefinition_1.FieldDefinition(" Verification Date/Time ", 24),
        "IN1-30": new fieldDefinition_1.FieldDefinition(" Verification By ", 250),
        "IN1-31": new fieldDefinition_1.FieldDefinition(" Type Of Agreement Code ", 2),
        "IN1-32": new fieldDefinition_1.FieldDefinition(" Billing Status ", 2),
        "IN1-33": new fieldDefinition_1.FieldDefinition(" Lifetime Reserve Days ", 4),
        "IN1-34": new fieldDefinition_1.FieldDefinition(" Delay Before L.R. Day ", 4),
        "IN1-35": new fieldDefinition_1.FieldDefinition(" Company Plan Code ", 20),
        "IN1-36": new fieldDefinition_1.FieldDefinition(" Policy Number ", 15),
        "IN1-37": new fieldDefinition_1.FieldDefinition(" Policy Deductible ", 12),
        "IN1-38": new fieldDefinition_1.FieldDefinition(" Policy Limit - Amount ", 12),
        "IN1-39": new fieldDefinition_1.FieldDefinition(" Policy Limit - Days ", 4),
        "IN1-40": new fieldDefinition_1.FieldDefinition(" Room Rate - Semi-Private ", 12),
        "IN1-41": new fieldDefinition_1.FieldDefinition(" Room Rate - Private ", 12),
        "IN1-42": new fieldDefinition_1.FieldDefinition(" Insured's Employment Status ", 250),
        "IN1-43": new fieldDefinition_1.FieldDefinition(" Insured's Administrative Sex ", 1),
        "IN1-44": new fieldDefinition_1.FieldDefinition(" Insured's Employer's Address ", 250),
        "IN1-45": new fieldDefinition_1.FieldDefinition(" Verification Status ", 2),
        "IN1-46": new fieldDefinition_1.FieldDefinition(" Prior Insurance Plan ID ", 8),
        "IN1-47": new fieldDefinition_1.FieldDefinition(" Coverage Type ", 3),
        "IN1-48": new fieldDefinition_1.FieldDefinition(" Handicap ", 2),
        "IN1-49": new fieldDefinition_1.FieldDefinition(" Insured's ID Number ", 250),
        "IN1-50": new fieldDefinition_1.FieldDefinition(" Signature Code ", 1),
        "IN1-51": new fieldDefinition_1.FieldDefinition(" Signature Code Date ", 8),
        "IN1-52": new fieldDefinition_1.FieldDefinition(" Insured_s Birth Place ", 250),
        "IN1-53": new fieldDefinition_1.FieldDefinition(" VIP Indicator ", 2),
        //IN2: Insurance Additional Information
        "IN2": new fieldDefinition_1.FieldDefinition("Insurance Additional Information", 250),
        "IN2-1": new fieldDefinition_1.FieldDefinition("Insured's Employee ID", 250),
        "IN2-2": new fieldDefinition_1.FieldDefinition("Insured's Social Security Number", 11),
        "IN2-3": new fieldDefinition_1.FieldDefinition("Insured's Employer's Name and ID", 250),
        "IN2-4": new fieldDefinition_1.FieldDefinition("Employer Information Data", 1),
        "IN2-5": new fieldDefinition_1.FieldDefinition("Mail Claim Party", 1),
        "IN2-6": new fieldDefinition_1.FieldDefinition("Medicare Health Ins Card Number", 15),
        "IN2-7": new fieldDefinition_1.FieldDefinition("Medicaid Case Name", 250),
        "IN2-8": new fieldDefinition_1.FieldDefinition("Medicaid Case Number", 15),
        "IN2-9": new fieldDefinition_1.FieldDefinition("Military Sponsor Name", 250),
        "IN2-10": new fieldDefinition_1.FieldDefinition("Military ID Number", 20),
        "IN2-11": new fieldDefinition_1.FieldDefinition("Dependent Of Military Recipient", 250),
        "IN2-12": new fieldDefinition_1.FieldDefinition("Military Organization", 25),
        "IN2-13": new fieldDefinition_1.FieldDefinition("Military Station", 25),
        "IN2-14": new fieldDefinition_1.FieldDefinition("Military Service", 14),
        "IN2-15": new fieldDefinition_1.FieldDefinition("Military Rank/Grade", 2),
        "IN2-16": new fieldDefinition_1.FieldDefinition("Military Status", 3),
        "IN2-17": new fieldDefinition_1.FieldDefinition("Military Retire Date", 8),
        "IN2-18": new fieldDefinition_1.FieldDefinition("Military Non-Avail Cert On File", 1),
        "IN2-19": new fieldDefinition_1.FieldDefinition("Baby Coverage", 1),
        "IN2-20": new fieldDefinition_1.FieldDefinition("Combine Baby Bill", 1),
        "IN2-21": new fieldDefinition_1.FieldDefinition("Blood Deductible", 1),
        "IN2-22": new fieldDefinition_1.FieldDefinition("Special Coverage Approval Name", 250),
        "IN2-23": new fieldDefinition_1.FieldDefinition("Special Coverage Approval Title", 30),
        "IN2-24": new fieldDefinition_1.FieldDefinition("Non-Covered Insurance Code", 8),
        "IN2-25": new fieldDefinition_1.FieldDefinition("Payor ID", 250),
        "IN2-26": new fieldDefinition_1.FieldDefinition("Payor Subscriber ID", 250),
        "IN2-27": new fieldDefinition_1.FieldDefinition("Eligibility Source", 1),
        "IN2-28": new fieldDefinition_1.FieldDefinition("Room Coverage Type/Amount", 82),
        "IN2-29": new fieldDefinition_1.FieldDefinition("Policy Type/Amount", 56),
        "IN2-30": new fieldDefinition_1.FieldDefinition("Daily Deductible", 25),
        "IN2-31": new fieldDefinition_1.FieldDefinition("Living Dependency", 2),
        "IN2-32": new fieldDefinition_1.FieldDefinition("Ambulatory Status", 2),
        "IN2-33": new fieldDefinition_1.FieldDefinition("Citizenship", 705),
        "IN2-34": new fieldDefinition_1.FieldDefinition("Primary Language", 705),
        "IN2-35": new fieldDefinition_1.FieldDefinition("Living Arrangement", 2),
        "IN2-36": new fieldDefinition_1.FieldDefinition("Publicity Code", 705),
        "IN2-37": new fieldDefinition_1.FieldDefinition("Protection Indicator", 1),
        "IN2-38": new fieldDefinition_1.FieldDefinition("Student Indicator", 2),
        "IN2-39": new fieldDefinition_1.FieldDefinition("Religion", 705),
        "IN2-40": new fieldDefinition_1.FieldDefinition("Mother's Maiden Name", 250),
        "IN2-41": new fieldDefinition_1.FieldDefinition("Nationality", 705),
        "IN2-42": new fieldDefinition_1.FieldDefinition("Ethnic Group", 705),
        "IN2-43": new fieldDefinition_1.FieldDefinition("Marital Status", 705),
        "IN2-44": new fieldDefinition_1.FieldDefinition("Insured's Employment Start Date", 8),
        "IN2-45": new fieldDefinition_1.FieldDefinition("Employment Stop Date", 8),
        "IN2-46": new fieldDefinition_1.FieldDefinition("Job Title", 20),
        "IN2-47": new fieldDefinition_1.FieldDefinition("Job Code/Class", 20),
        "IN2-48": new fieldDefinition_1.FieldDefinition("Job Status", 2),
        "IN2-49": new fieldDefinition_1.FieldDefinition("Employer Contact Person Name", 250),
        "IN2-50": new fieldDefinition_1.FieldDefinition("Employer Contact Person Phone Number", 250),
        "IN2-51": new fieldDefinition_1.FieldDefinition("Employer Contact Reason", 2),
        "IN2-52": new fieldDefinition_1.FieldDefinition("Insured's Contact Person's Name", 250),
        "IN2-53": new fieldDefinition_1.FieldDefinition("Insured's Contact Person Phone Number", 250),
        "IN2-54": new fieldDefinition_1.FieldDefinition("Insured's Contact Person Reason", 2),
        "IN2-55": new fieldDefinition_1.FieldDefinition("Relationship to the Patient Start Date", 8),
        "IN2-56": new fieldDefinition_1.FieldDefinition("Relationship to the Patient Stop Date", 8),
        "IN2-57": new fieldDefinition_1.FieldDefinition("Insurance Co. Contact Reason", 2),
        "IN2-58": new fieldDefinition_1.FieldDefinition("Insurance Co Contact Phone Number", 250),
        "IN2-59": new fieldDefinition_1.FieldDefinition("Policy Scope", 2),
        "IN2-60": new fieldDefinition_1.FieldDefinition("Policy Source", 2),
        "IN2-61": new fieldDefinition_1.FieldDefinition("Patient Member Number", 250),
        "IN2-62": new fieldDefinition_1.FieldDefinition("Guarantor's Relationship To Insured", 250),
        "IN2-63": new fieldDefinition_1.FieldDefinition("Insured's Phone Number - Home", 250),
        "IN2-64": new fieldDefinition_1.FieldDefinition("Insured's Employer Phone Number", 250),
        "IN2-65": new fieldDefinition_1.FieldDefinition("Military Handicapped Program", 250),
        "IN2-66": new fieldDefinition_1.FieldDefinition("Suspend Flag", 1),
        "IN2-67": new fieldDefinition_1.FieldDefinition("Copay Limit Flag", 1),
        "IN2-68": new fieldDefinition_1.FieldDefinition("Stoploss Limit Flag", 1),
        "IN2-69": new fieldDefinition_1.FieldDefinition("Insured Organization Name and ID", 250),
        "IN2-70": new fieldDefinition_1.FieldDefinition("Insured Employer Organization Name and ID", 250),
        "IN2-71": new fieldDefinition_1.FieldDefinition("Race", 705),
        "IN2-72": new fieldDefinition_1.FieldDefinition("CMS Patient_s Relationship to Insured", 705),
        //IN3: Insurance Additional Information, Certification
        "IN3": new fieldDefinition_1.FieldDefinition("Insurance Additional Information, Certification"),
        "IN3-1": new fieldDefinition_1.FieldDefinition("Set ID - IN3 ", 4),
        "IN3-2": new fieldDefinition_1.FieldDefinition("Certification Number ", 250),
        "IN3-3": new fieldDefinition_1.FieldDefinition("Certified By ", 250),
        "IN3-4": new fieldDefinition_1.FieldDefinition("Certification Required ", 1),
        "IN3-5": new fieldDefinition_1.FieldDefinition("Penalty ", 23),
        "IN3-6": new fieldDefinition_1.FieldDefinition("Certification Date/Time ", 24),
        "IN3-7": new fieldDefinition_1.FieldDefinition("Certification Modify Date/Time ", 24),
        "IN3-8": new fieldDefinition_1.FieldDefinition("Operator ", 250),
        "IN3-9": new fieldDefinition_1.FieldDefinition("Certification Begin Date ", 8),
        "IN3-10": new fieldDefinition_1.FieldDefinition("Certification End Date ", 8),
        "IN3-11": new fieldDefinition_1.FieldDefinition("Days ", 6),
        "IN3-12": new fieldDefinition_1.FieldDefinition("Non-Concur Code/Description ", 250),
        "IN3-13": new fieldDefinition_1.FieldDefinition("Non-Concur Effective Date/Time ", 24),
        "IN3-14": new fieldDefinition_1.FieldDefinition("Physician Reviewer ", 250),
        "IN3-15": new fieldDefinition_1.FieldDefinition("Certification Contact ", 48),
        "IN3-16": new fieldDefinition_1.FieldDefinition("Certification Contact Phone Number ", 250),
        "IN3-17": new fieldDefinition_1.FieldDefinition("Appeal Reason ", 250),
        "IN3-18": new fieldDefinition_1.FieldDefinition("Certification Agency ", 250),
        "IN3-19": new fieldDefinition_1.FieldDefinition("Certification Agency Phone Number ", 250),
        "IN3-20": new fieldDefinition_1.FieldDefinition("Pre-Certification Requirement ", 40),
        "IN3-21": new fieldDefinition_1.FieldDefinition("Case Manager ", 48),
        "IN3-22": new fieldDefinition_1.FieldDefinition("Second Opinion Date ", 8),
        "IN3-23": new fieldDefinition_1.FieldDefinition("Second Opinion Status ", 1),
        "IN3-24": new fieldDefinition_1.FieldDefinition("Second Opinion Documentation Received ", 1),
        "IN3-25": new fieldDefinition_1.FieldDefinition("Second Opinion Physician ", 250),
        //MSH: Message Header
        "MSH": new fieldDefinition_1.FieldDefinition("Message Header"),
        "MSH-1": new fieldDefinition_1.FieldDefinition("Field Separator", 1),
        "MSH-2": new fieldDefinition_1.FieldDefinition("Encoding Characters", 5),
        "MSH-3": new fieldDefinition_1.FieldDefinition("Sending Application", 227),
        "MSH-4": new fieldDefinition_1.FieldDefinition("Sending Facility / Sub-Facility", 227),
        "MSH-4.0": new fieldDefinition_1.FieldDefinition("Facility", 227),
        "MSH-4.1": new fieldDefinition_1.FieldDefinition("Sub-Facility", 227),
        "MSH-5": new fieldDefinition_1.FieldDefinition("Receiving Application", 227),
        "MSH-6": new fieldDefinition_1.FieldDefinition("Receiving Facility", 227),
        "MSH-7": new fieldDefinition_1.FieldDefinition("Date/Time of Message", 24),
        "MSH-8": new fieldDefinition_1.FieldDefinition("Security", 40),
        "MSH-9": new fieldDefinition_1.FieldDefinition("Message Type", 15),
        "MSH-9.0": new fieldDefinition_1.FieldDefinition("Message Type", 15),
        "MSH-9.1": new fieldDefinition_1.FieldDefinition("Trigger Event", 15),
        "MSH-10": new fieldDefinition_1.FieldDefinition("Message Control Id", 199),
        "MSH-11": new fieldDefinition_1.FieldDefinition("Processing Id", 3),
        "MSH-12": new fieldDefinition_1.FieldDefinition("Version Id", 60),
        "MSH-13": new fieldDefinition_1.FieldDefinition("Sequence Number", 15),
        "MSH-14": new fieldDefinition_1.FieldDefinition("Continuation Pointer", 180),
        "MSH-15": new fieldDefinition_1.FieldDefinition("Accept Acknowledgment Type", 2),
        "MSH-16": new fieldDefinition_1.FieldDefinition("Application Acknowledgment Type", 2),
        "MSH-17": new fieldDefinition_1.FieldDefinition("Country Code", 3),
        "MSH-18": new fieldDefinition_1.FieldDefinition("Character Set", 15),
        "MSH-19": new fieldDefinition_1.FieldDefinition("Principal Language Of Message", 250),
        "MSH-20": new fieldDefinition_1.FieldDefinition("Alternate Character Set Handling Scheme", 13),
        "MSH-21": new fieldDefinition_1.FieldDefinition("Message Profile Identifier", 427),
        "MSH-22": new fieldDefinition_1.FieldDefinition("Sending Responsible Organization", 567),
        "MSH-23": new fieldDefinition_1.FieldDefinition("Receiving Responsible Organization", 567),
        "MSH-24": new fieldDefinition_1.FieldDefinition("Sending Network Address", 227),
        "MSH-25": new fieldDefinition_1.FieldDefinition("Receiving Network Address", 227),
        //PID: Patient Identification
        "PID": new fieldDefinition_1.FieldDefinition("Patient Identification"),
        "PID-1": new fieldDefinition_1.FieldDefinition("Set ID - Patient ID", 4),
        "PID-2": new fieldDefinition_1.FieldDefinition("Patient ID", 20),
        "PID-3": new fieldDefinition_1.FieldDefinition("Patient Identifier List", 250),
        "PID-4": new fieldDefinition_1.FieldDefinition("Alternate Patient ID", 20),
        "PID-5": new fieldDefinition_1.FieldDefinition("Patient Name", 250),
        "PID-6": new fieldDefinition_1.FieldDefinition("Mother's Maiden Name", 250),
        "PID-7": new fieldDefinition_1.FieldDefinition("Date/Time of Birth", 24),
        "PID-8": new fieldDefinition_1.FieldDefinition("Administrative Sex", 1),
        "PID-9": new fieldDefinition_1.FieldDefinition("Patient Alias", 250),
        "PID-10": new fieldDefinition_1.FieldDefinition("Race", 705),
        "PID-11": new fieldDefinition_1.FieldDefinition("Patient Address", 250),
        "PID-12": new fieldDefinition_1.FieldDefinition("County Code", 4),
        "PID-13": new fieldDefinition_1.FieldDefinition("Phone Number - Home", 250),
        "PID-14": new fieldDefinition_1.FieldDefinition("Phone Number - Business", 250),
        "PID-15": new fieldDefinition_1.FieldDefinition("Primary Language", 705),
        "PID-16": new fieldDefinition_1.FieldDefinition("Marital Status", 705),
        "PID-17": new fieldDefinition_1.FieldDefinition("Religion", 705),
        "PID-18": new fieldDefinition_1.FieldDefinition("Patient Account Number", 250),
        "PID-19": new fieldDefinition_1.FieldDefinition("SSN Number - Patient", 16),
        "PID-20": new fieldDefinition_1.FieldDefinition("Driver's License Number - Patient", 25),
        "PID-21": new fieldDefinition_1.FieldDefinition("Mother's Identifier", 250),
        "PID-22": new fieldDefinition_1.FieldDefinition("Ethnic Group", 705),
        "PID-23": new fieldDefinition_1.FieldDefinition("Birth Place", 250),
        "PID-24": new fieldDefinition_1.FieldDefinition("Multiple Birth Indicator", 1),
        "PID-25": new fieldDefinition_1.FieldDefinition("Birth Order", 2),
        "PID-26": new fieldDefinition_1.FieldDefinition("Citizenship", 705),
        "PID-27": new fieldDefinition_1.FieldDefinition("Veterans Military Status", 705),
        "PID-28": new fieldDefinition_1.FieldDefinition("Nationality", 705),
        "PID-29": new fieldDefinition_1.FieldDefinition("Patient Death Date and Time", 24),
        "PID-30": new fieldDefinition_1.FieldDefinition("Patient Death Indicator", 1),
        "PID-31": new fieldDefinition_1.FieldDefinition("Identity Unknown Indicator", 1),
        "PID-32": new fieldDefinition_1.FieldDefinition("Identity Reliability Code", 20),
        "PID-33": new fieldDefinition_1.FieldDefinition("Last Update Date/Time", 24),
        "PID-34": new fieldDefinition_1.FieldDefinition("Last Update Facility", 241),
        "PID-35": new fieldDefinition_1.FieldDefinition("Species Code", 705),
        "PID-36": new fieldDefinition_1.FieldDefinition("Breed Code", 705),
        "PID-37": new fieldDefinition_1.FieldDefinition("Strain", 80),
        "PID-38": new fieldDefinition_1.FieldDefinition("Production Class Code", 705),
        "PID-39": new fieldDefinition_1.FieldDefinition("Tribal Citizenship", 705),
        //PD1: Patient Demographics
        "PD1": new fieldDefinition_1.FieldDefinition("Patient Demographics"),
        "PD1-1": new fieldDefinition_1.FieldDefinition("Living Dependency", 2),
        "PD1-2": new fieldDefinition_1.FieldDefinition("Living Arrangement", 2),
        "PD1-3": new fieldDefinition_1.FieldDefinition("Patient Primary Facility", 250),
        "PD1-4": new fieldDefinition_1.FieldDefinition("Patient Primary Care Provider Name and ID No.", 250),
        "PD1-5": new fieldDefinition_1.FieldDefinition("Student Indicator", 2),
        "PD1-6": new fieldDefinition_1.FieldDefinition("Handicap", 2),
        "PD1-7": new fieldDefinition_1.FieldDefinition("Living Will Code", 2),
        "PD1-8": new fieldDefinition_1.FieldDefinition("Organ Donor Code", 2),
        "PD1-9": new fieldDefinition_1.FieldDefinition("Separate Bill", 1),
        "PD1-10": new fieldDefinition_1.FieldDefinition("Duplicate Patient", 250),
        "PD1-11": new fieldDefinition_1.FieldDefinition("Publicity Code", 705),
        "PD1-12": new fieldDefinition_1.FieldDefinition("Protection Indicator", 1),
        "PD1-13": new fieldDefinition_1.FieldDefinition("Protection Indicator Effective Date", 8),
        "PD1-14": new fieldDefinition_1.FieldDefinition("Place of Worship", 250),
        "PD1-15": new fieldDefinition_1.FieldDefinition("Advance Directive Code", 705),
        "PD1-16": new fieldDefinition_1.FieldDefinition("Immunization Registry Status", 1),
        "PD1-17": new fieldDefinition_1.FieldDefinition("Immunization Registry Status Effective Date", 8),
        "PD1-18": new fieldDefinition_1.FieldDefinition("Publicity Code Effective Date", 8),
        "PD1-19": new fieldDefinition_1.FieldDefinition("Military Branch", 5),
        "PD1-20": new fieldDefinition_1.FieldDefinition("Military Rank/Grade", 2),
        "PD1-21": new fieldDefinition_1.FieldDefinition("Military Status", 3),
        "PD1-22": new fieldDefinition_1.FieldDefinition("Advance Directive Last Verified Date", 8),
        //PV1: Patient Visit
        "PV1": new fieldDefinition_1.FieldDefinition("Patient Visit"),
        "PV1-1": new fieldDefinition_1.FieldDefinition("Set ID ", 4),
        "PV1-2": new fieldDefinition_1.FieldDefinition("Patient Class", 1),
        "PV1-3": new fieldDefinition_1.FieldDefinition("Assigned Patient Location", 80),
        "PV1-4": new fieldDefinition_1.FieldDefinition("Admission Type", 2),
        "PV1-5": new fieldDefinition_1.FieldDefinition("Preadmit Number", 250),
        "PV1-6": new fieldDefinition_1.FieldDefinition("Prior Patient Location", 80),
        "PV1-7": new fieldDefinition_1.FieldDefinition("Attending Doctor", 250),
        "PV1-8": new fieldDefinition_1.FieldDefinition("Referring Doctor", 250),
        "PV1-9": new fieldDefinition_1.FieldDefinition("Consulting Doctor", 250),
        "PV1-10": new fieldDefinition_1.FieldDefinition("Hospital Service", 3),
        "PV1-11": new fieldDefinition_1.FieldDefinition("Temporary Location", 80),
        "PV1-12": new fieldDefinition_1.FieldDefinition("Preadmit Test Indicator", 2),
        "PV1-13": new fieldDefinition_1.FieldDefinition("Re-admission Indicator", 2),
        "PV1-14": new fieldDefinition_1.FieldDefinition("Admit Source", 6),
        "PV1-15": new fieldDefinition_1.FieldDefinition("Ambulatory Status", 2),
        "PV1-16": new fieldDefinition_1.FieldDefinition("VIP Indicator", 2),
        "PV1-17": new fieldDefinition_1.FieldDefinition("Admitting Doctor", 250),
        "PV1-18": new fieldDefinition_1.FieldDefinition("Patient Type", 2),
        "PV1-19": new fieldDefinition_1.FieldDefinition("Visit Number", 250),
        "PV1-20": new fieldDefinition_1.FieldDefinition("Financial Class", 50),
        "PV1-21": new fieldDefinition_1.FieldDefinition("Charge Price Indicator", 2),
        "PV1-22": new fieldDefinition_1.FieldDefinition("Courtesy Code", 2),
        "PV1-23": new fieldDefinition_1.FieldDefinition("Credit Rating", 2),
        "PV1-24": new fieldDefinition_1.FieldDefinition("Contract Code", 2),
        "PV1-25": new fieldDefinition_1.FieldDefinition("Contract Effective Date", 8),
        "PV1-26": new fieldDefinition_1.FieldDefinition("Contract Amount", 12),
        "PV1-27": new fieldDefinition_1.FieldDefinition("Contract Period", 3),
        "PV1-28": new fieldDefinition_1.FieldDefinition("Interest Code", 2),
        "PV1-29": new fieldDefinition_1.FieldDefinition("Transfer to Bad Debt Code", 4),
        "PV1-30": new fieldDefinition_1.FieldDefinition("Transfer to Bad Debt Date", 8),
        "PV1-31": new fieldDefinition_1.FieldDefinition("Bad Debt Agency Code", 10),
        "PV1-32": new fieldDefinition_1.FieldDefinition("Bad Debt Transfer Amount", 12),
        "PV1-33": new fieldDefinition_1.FieldDefinition("Bad Debt Recovery Amount", 12),
        "PV1-34": new fieldDefinition_1.FieldDefinition("Delete Account Indicator", 1),
        "PV1-35": new fieldDefinition_1.FieldDefinition("Delete Account Date", 8),
        "PV1-36": new fieldDefinition_1.FieldDefinition("Discharge Disposition", 3),
        "PV1-37": new fieldDefinition_1.FieldDefinition("Discharged to Location", 47),
        "PV1-38": new fieldDefinition_1.FieldDefinition("Diet Type", 705),
        "PV1-39": new fieldDefinition_1.FieldDefinition("Servicing Facility", 2),
        "PV1-40": new fieldDefinition_1.FieldDefinition("Bed Status", 1),
        "PV1-41": new fieldDefinition_1.FieldDefinition("Account Status", 2),
        "PV1-42": new fieldDefinition_1.FieldDefinition("Pending Location", 80),
        "PV1-43": new fieldDefinition_1.FieldDefinition("Prior Temporary Location", 80),
        "PV1-44": new fieldDefinition_1.FieldDefinition("Admit Date/Time", 24),
        "PV1-45": new fieldDefinition_1.FieldDefinition("Discharge Date/Time", 24),
        "PV1-46": new fieldDefinition_1.FieldDefinition("Current Patient Balance", 12),
        "PV1-47": new fieldDefinition_1.FieldDefinition("Total Charges", 12),
        "PV1-48": new fieldDefinition_1.FieldDefinition("Total Adjustments", 12),
        "PV1-49": new fieldDefinition_1.FieldDefinition("Total Payments", 12),
        "PV1-50": new fieldDefinition_1.FieldDefinition("Alternate Visit ID", 250),
        "PV1-51": new fieldDefinition_1.FieldDefinition("Visit Indicator", 1),
        "PV1-52": new fieldDefinition_1.FieldDefinition("Other Healthcare Provider", 250),
        //PV1:  Patient Visit - Additional Information
        "PV2": new fieldDefinition_1.FieldDefinition(" Patient Visit - Additional Information"),
        "PV2-1": new fieldDefinition_1.FieldDefinition("Prior Pending Location", 80),
        "PV2-2": new fieldDefinition_1.FieldDefinition("Accommodation Code", 705),
        "PV2-3": new fieldDefinition_1.FieldDefinition("Admit Reason", 705),
        "PV2-4": new fieldDefinition_1.FieldDefinition("Transfer Reason", 705),
        "PV2-5": new fieldDefinition_1.FieldDefinition("Patient Valuables", 25),
        "PV2-6": new fieldDefinition_1.FieldDefinition("Patient Valuables Location", 25),
        "PV2-7": new fieldDefinition_1.FieldDefinition("Visit User Code", 2),
        "PV2-8": new fieldDefinition_1.FieldDefinition("Expected Admit Date/Time", 24),
        "PV2-9": new fieldDefinition_1.FieldDefinition("Expected Discharge Date/Time", 24),
        "PV2-10": new fieldDefinition_1.FieldDefinition("Estimated Length of Inpatient Stay", 3),
        "PV2-11": new fieldDefinition_1.FieldDefinition("Actual Length of Inpatient Stay", 3),
        "PV2-12": new fieldDefinition_1.FieldDefinition("Visit Description", 50),
        "PV2-13": new fieldDefinition_1.FieldDefinition("Referral Source Code", 250),
        "PV2-14": new fieldDefinition_1.FieldDefinition("Previous Service Date", 8),
        "PV2-15": new fieldDefinition_1.FieldDefinition("Employment Illness Related Indicator", 1),
        "PV2-16": new fieldDefinition_1.FieldDefinition("Purge Status Code", 1),
        "PV2-17": new fieldDefinition_1.FieldDefinition("Purge Status Date", 8),
        "PV2-18": new fieldDefinition_1.FieldDefinition("Special Program Code", 2),
        "PV2-19": new fieldDefinition_1.FieldDefinition("Retention Indicator", 1),
        "PV2-20": new fieldDefinition_1.FieldDefinition("Expected Number of Insurance Plans", 1),
        "PV2-21": new fieldDefinition_1.FieldDefinition("Visit Publicity Code", 1),
        "PV2-22": new fieldDefinition_1.FieldDefinition("Visit Protection Indicator", 1),
        "PV2-23": new fieldDefinition_1.FieldDefinition("Clinic Organization Name", 250),
        "PV2-24": new fieldDefinition_1.FieldDefinition("Patient Status Code", 2),
        "PV2-25": new fieldDefinition_1.FieldDefinition("Visit Priority Code", 1),
        "PV2-26": new fieldDefinition_1.FieldDefinition("Previous Treatment Date", 8),
        "PV2-27": new fieldDefinition_1.FieldDefinition("Expected Discharge Disposition", 2),
        "PV2-28": new fieldDefinition_1.FieldDefinition("Signature on File Date", 8),
        "PV2-29": new fieldDefinition_1.FieldDefinition("First Similar Illness Date", 8),
        "PV2-30": new fieldDefinition_1.FieldDefinition("Patient Charge Adjustment Code", 705),
        "PV2-31": new fieldDefinition_1.FieldDefinition("Recurring Service Code", 2),
        "PV2-32": new fieldDefinition_1.FieldDefinition("Billing Media Code", 1),
        "PV2-33": new fieldDefinition_1.FieldDefinition("Expected Surgery Date and Time", 24),
        "PV2-34": new fieldDefinition_1.FieldDefinition("Military Partnership Code", 1),
        "PV2-35": new fieldDefinition_1.FieldDefinition("Military Non-Availability Code", 1),
        "PV2-36": new fieldDefinition_1.FieldDefinition("Newborn Baby Indicator", 1),
        "PV2-37": new fieldDefinition_1.FieldDefinition("Baby Detained Indicator", 1),
        "PV2-38": new fieldDefinition_1.FieldDefinition("Mode of Arrival Code", 705),
        "PV2-39": new fieldDefinition_1.FieldDefinition("Recreational Drug Use Code", 705),
        "PV2-40": new fieldDefinition_1.FieldDefinition("Admission Level of Care Code", 705),
        "PV2-41": new fieldDefinition_1.FieldDefinition("Precaution Code", 705),
        "PV2-42": new fieldDefinition_1.FieldDefinition("Patient Condition Code", 705),
        "PV2-43": new fieldDefinition_1.FieldDefinition("Living Will Code", 2),
        "PV2-44": new fieldDefinition_1.FieldDefinition("Organ Donor Code", 2),
        "PV2-45": new fieldDefinition_1.FieldDefinition("Advance Directive Code", 705),
        "PV2-46": new fieldDefinition_1.FieldDefinition("Patient Status Effective Date", 8),
        "PV2-47": new fieldDefinition_1.FieldDefinition("Expected LOA Return Date/Time", 24),
        "PV2-48": new fieldDefinition_1.FieldDefinition("Expected Pre-admission Testing Date/Time", 24),
        "PV2-49": new fieldDefinition_1.FieldDefinition("Notify Clergy Code", 20),
        "PV2-50": new fieldDefinition_1.FieldDefinition("Advance Directive Last Verified Date", 8),
        //NK1: Next Of Kin
        "NK1": new fieldDefinition_1.FieldDefinition("Next Of Kin"),
        "NK1-1": new fieldDefinition_1.FieldDefinition("Set ID - NK1", 4),
        "NK1-2": new fieldDefinition_1.FieldDefinition("NK Name", 250),
        "NK1-3": new fieldDefinition_1.FieldDefinition("Relationship", 705),
        "NK1-4": new fieldDefinition_1.FieldDefinition("Address", 250),
        "NK1-5": new fieldDefinition_1.FieldDefinition("Phone Number", 250),
        "NK1-6": new fieldDefinition_1.FieldDefinition("Business Phone Number", 250),
        "NK1-7": new fieldDefinition_1.FieldDefinition("Contact Role", 705),
        "NK1-8": new fieldDefinition_1.FieldDefinition("Start Date", 8),
        "NK1-9": new fieldDefinition_1.FieldDefinition("End Date", 8),
        "NK1-10": new fieldDefinition_1.FieldDefinition(" Next of Kin / Associated Parties Job Title", 60),
        "NK1-11": new fieldDefinition_1.FieldDefinition(" Next of Kin / Associated Parties Job Code/Class", 20),
        "NK1-12": new fieldDefinition_1.FieldDefinition(" Next of Kin / Associated Parties Employee Number", 250),
        "NK1-13": new fieldDefinition_1.FieldDefinition(" Organization Name - NK1", 250),
        "NK1-14": new fieldDefinition_1.FieldDefinition(" Marital Status", 705),
        "NK1-15": new fieldDefinition_1.FieldDefinition(" Administrative Sex", 1),
        "NK1-16": new fieldDefinition_1.FieldDefinition(" Date/Time of Birth", 24),
        "NK1-17": new fieldDefinition_1.FieldDefinition(" Living Dependency", 2),
        "NK1-18": new fieldDefinition_1.FieldDefinition(" Ambulatory Status", 2),
        "NK1-19": new fieldDefinition_1.FieldDefinition(" Citizenship", 705),
        "NK1-20": new fieldDefinition_1.FieldDefinition(" Primary Language", 705),
        "NK1-21": new fieldDefinition_1.FieldDefinition(" Living Arrangement", 2),
        "NK1-22": new fieldDefinition_1.FieldDefinition(" Publicity Code", 705),
        "NK1-23": new fieldDefinition_1.FieldDefinition(" Protection Indicator", 1),
        "NK1-24": new fieldDefinition_1.FieldDefinition(" Student Indicator", 2),
        "NK1-25": new fieldDefinition_1.FieldDefinition(" Religion", 705),
        "NK1-26": new fieldDefinition_1.FieldDefinition(" Mother's Maiden Name", 250),
        "NK1-27": new fieldDefinition_1.FieldDefinition(" Nationality", 705),
        "NK1-28": new fieldDefinition_1.FieldDefinition(" Ethnic Group", 705),
        "NK1-29": new fieldDefinition_1.FieldDefinition(" Contact Reason", 705),
        "NK1-30": new fieldDefinition_1.FieldDefinition(" Contact Person's Name", 250),
        "NK1-31": new fieldDefinition_1.FieldDefinition(" Contact Person's Telephone Number", 250),
        "NK1-32": new fieldDefinition_1.FieldDefinition(" Contact Person's Address", 250),
        "NK1-33": new fieldDefinition_1.FieldDefinition(" Next of Kin/Associated Party's Identifiers", 250),
        "NK1-34": new fieldDefinition_1.FieldDefinition(" Job Status", 2),
        "NK1-35": new fieldDefinition_1.FieldDefinition(" Race", 705),
        "NK1-36": new fieldDefinition_1.FieldDefinition(" Handicap", 2),
        "NK1-37": new fieldDefinition_1.FieldDefinition(" Contact Person Social Security Number", 16),
        "NK1-38": new fieldDefinition_1.FieldDefinition(" Next of Kin Birth Place", 250),
        "NK1-39": new fieldDefinition_1.FieldDefinition(" VIP Indicator", 2),
        //PR1: Procedures
        "PR1": new fieldDefinition_1.FieldDefinition("Procedures"),
        "PR1-1": new fieldDefinition_1.FieldDefinition("Set ID - PR1 ", 4),
        "PR1-2": new fieldDefinition_1.FieldDefinition("Procedure Coding Method ", 3),
        "PR1-3": new fieldDefinition_1.FieldDefinition("Procedure Code ", 705),
        "PR1-4": new fieldDefinition_1.FieldDefinition("Procedure Description ", 40),
        "PR1-5": new fieldDefinition_1.FieldDefinition("Procedure Date/Time ", 24),
        "PR1-6": new fieldDefinition_1.FieldDefinition("Procedure Functional Type ", 2),
        "PR1-7": new fieldDefinition_1.FieldDefinition("Procedure Minutes ", 4),
        "PR1-8": new fieldDefinition_1.FieldDefinition("Anesthesiologist ", 250),
        "PR1-9": new fieldDefinition_1.FieldDefinition("Anesthesia Code ", 2),
        "PR1-10": new fieldDefinition_1.FieldDefinition("Anesthesia Minutes ", 4),
        "PR1-11": new fieldDefinition_1.FieldDefinition("Surgeon ", 250),
        "PR1-12": new fieldDefinition_1.FieldDefinition("Procedure Practitioner ", 250),
        "PR1-13": new fieldDefinition_1.FieldDefinition("Consent Code ", 250),
        "PR1-14": new fieldDefinition_1.FieldDefinition("Procedure Priority ", 2),
        "PR1-15": new fieldDefinition_1.FieldDefinition("Associated Diagnosis Code ", 250),
        "PR1-16": new fieldDefinition_1.FieldDefinition("Procedure Code Modifier ", 705),
        "PR1-17": new fieldDefinition_1.FieldDefinition("Procedure DRG Type ", 20),
        "PR1-18": new fieldDefinition_1.FieldDefinition("Tissue Type Code ", 250),
        "PR1-19": new fieldDefinition_1.FieldDefinition("Procedure Identifier ", 427),
        "PR1-20": new fieldDefinition_1.FieldDefinition("Procedure Action Code ", 1),
        "PR1-21": new fieldDefinition_1.FieldDefinition("DRG Procedure Determination Status ", 20),
        "PR1-22": new fieldDefinition_1.FieldDefinition("DRG Procedure Relevance ", 20),
        //UAC: User Authentication Credential
        "UAC-1": new fieldDefinition_1.FieldDefinition("User Authentication Credential Type Code", 705),
        "UAC-2": new fieldDefinition_1.FieldDefinition("User Authentication Credential Type Code", 65536),
        //UB1: UB82
        "UB1": new fieldDefinition_1.FieldDefinition("UB82"),
        "UB1-1": new fieldDefinition_1.FieldDefinition(" Set ID - UB1 ", 4),
        "UB1-2": new fieldDefinition_1.FieldDefinition(" Blood Deductible ", 1),
        "UB1-3": new fieldDefinition_1.FieldDefinition(" Blood Furnished-Pints Of ", 2),
        "UB1-4": new fieldDefinition_1.FieldDefinition(" Blood Replaced-Pints ", 2),
        "UB1-5": new fieldDefinition_1.FieldDefinition(" Blood Not Replaced-Pints ", 2),
        "UB1-6": new fieldDefinition_1.FieldDefinition(" Co-Insurance Days ", 2),
        "UB1-7": new fieldDefinition_1.FieldDefinition(" Condition Code ", 14),
        "UB1-8": new fieldDefinition_1.FieldDefinition(" Covered Days - ", 3),
        "UB1-9": new fieldDefinition_1.FieldDefinition(" Non Covered Days - ", 3),
        "UB1-10": new fieldDefinition_1.FieldDefinition("Value Amount and Code ", 41),
        "UB1-11": new fieldDefinition_1.FieldDefinition("Number Of Grace Days ", 2),
        "UB1-12": new fieldDefinition_1.FieldDefinition("Special Program Indicator ", 250),
        "UB1-13": new fieldDefinition_1.FieldDefinition("PSRO/UR Approval Indicator ", 250),
        "UB1-14": new fieldDefinition_1.FieldDefinition("PSRO/UR Approved Stay-Fm ", 8),
        "UB1-15": new fieldDefinition_1.FieldDefinition("PSRO/UR Approved Stay-To ", 8),
        "UB1-16": new fieldDefinition_1.FieldDefinition("Occurrence ", 259),
        "UB1-17": new fieldDefinition_1.FieldDefinition("Occurrence Span ", 250),
        "UB1-18": new fieldDefinition_1.FieldDefinition("Occur Span Start Date ", 8),
        "UB1-19": new fieldDefinition_1.FieldDefinition("Occur Span End Date ", 8),
        "UB1-20": new fieldDefinition_1.FieldDefinition("UB-82 Locator 2 ", 30),
        "UB1-21": new fieldDefinition_1.FieldDefinition("UB-82 Locator 9 ", 7),
        "UB1-22": new fieldDefinition_1.FieldDefinition("UB-82 Locator 27 ", 8),
        "UB1-23": new fieldDefinition_1.FieldDefinition("UB-82 Locator 45 ", 17),
        //UB2: UB92 Data
        "UB2": new fieldDefinition_1.FieldDefinition("UB92 Data"),
        "UB2-1": new fieldDefinition_1.FieldDefinition(" Set ID - UB2 ", 4),
        "UB2-2": new fieldDefinition_1.FieldDefinition(" Co-Insurance Days ", 3),
        "UB2-3": new fieldDefinition_1.FieldDefinition(" Condition Code ", 2),
        "UB2-4": new fieldDefinition_1.FieldDefinition(" Covered Days ", 3),
        "UB2-5": new fieldDefinition_1.FieldDefinition(" Non-Covered Days ", 4),
        "UB2-6": new fieldDefinition_1.FieldDefinition(" Value Amount and Code ", 41),
        "UB2-7": new fieldDefinition_1.FieldDefinition(" Occurrence Code and Date ", 259),
        "UB2-8": new fieldDefinition_1.FieldDefinition(" Occurrence Span Code/Dates", 268),
        "UB2-9": new fieldDefinition_1.FieldDefinition(" UB92 Locator 2 ", 29),
        "UB2-10": new fieldDefinition_1.FieldDefinition("UB92 Locator 11 ", 12),
        "UB2-11": new fieldDefinition_1.FieldDefinition("UB92 Locator 31 ", 5),
        "UB2-12": new fieldDefinition_1.FieldDefinition("Document Control Number ", 23),
        "UB2-13": new fieldDefinition_1.FieldDefinition("UB92 Locator 49 ", 4),
        "UB2-14": new fieldDefinition_1.FieldDefinition("UB92 Locator 56 ", 14),
        "UB2-15": new fieldDefinition_1.FieldDefinition("UB92 Locator 57 ", 27),
        "UB2-16": new fieldDefinition_1.FieldDefinition("UB92 Locator 78 ", 2),
        "UB2-17": new fieldDefinition_1.FieldDefinition("Special Visit Count ", 3),
        //GT1: Guarantor
        "GT1": new fieldDefinition_1.FieldDefinition("Guarantor"),
        "GT1-1": new fieldDefinition_1.FieldDefinition("Set ID - GT1", 4),
        "GT1-2": new fieldDefinition_1.FieldDefinition("Guarantor Number", 250),
        "GT1-3": new fieldDefinition_1.FieldDefinition("Guarantor Name", 250),
        "GT1-4": new fieldDefinition_1.FieldDefinition("Guarantor Spouse Name", 250),
        "GT1-5": new fieldDefinition_1.FieldDefinition("Guarantor Address", 250),
        "GT1-6": new fieldDefinition_1.FieldDefinition("Guarantor Ph Num - Home", 250),
        "GT1-7": new fieldDefinition_1.FieldDefinition("Guarantor Ph Num - Business", 250),
        "GT1-8": new fieldDefinition_1.FieldDefinition("Guarantor Date/Time Of Birth", 24),
        "GT1-9": new fieldDefinition_1.FieldDefinition("Guarantor Administrative Sex", 1),
        "GT1-10": new fieldDefinition_1.FieldDefinition("Guarantor Type", 2),
        "GT1-11": new fieldDefinition_1.FieldDefinition("Guarantor Relationship", 250),
        "GT1-12": new fieldDefinition_1.FieldDefinition("Guarantor SSN", 11),
        "GT1-13": new fieldDefinition_1.FieldDefinition("Guarantor Date - Begin", 8),
        "GT1-14": new fieldDefinition_1.FieldDefinition("Guarantor Date - End", 8),
        "GT1-15": new fieldDefinition_1.FieldDefinition("Guarantor Priority", 2),
        "GT1-16": new fieldDefinition_1.FieldDefinition("Guarantor Employer Name", 250),
        "GT1-17": new fieldDefinition_1.FieldDefinition("Guarantor Employer Address", 250),
        "GT1-18": new fieldDefinition_1.FieldDefinition("Guarantor Employer Phone Number", 250),
        "GT1-19": new fieldDefinition_1.FieldDefinition("Guarantor Employee ID Number", 250),
        "GT1-20": new fieldDefinition_1.FieldDefinition("Guarantor Employment Status", 2),
        "GT1-21": new fieldDefinition_1.FieldDefinition("Guarantor Organization Name", 2),
        "GT1-22": new fieldDefinition_1.FieldDefinition("Guarantor Billing Hold Flag", 1),
        "GT1-23": new fieldDefinition_1.FieldDefinition("Guarantor Credit Rating Code", 250),
        "GT1-24": new fieldDefinition_1.FieldDefinition("Guarantor Death Date And Time", 24),
        "GT1-25": new fieldDefinition_1.FieldDefinition("Guarantor Death Flag", 1),
        "GT1-26": new fieldDefinition_1.FieldDefinition("Guarantor Charge Adjustment Code", 250),
        "GT1-27": new fieldDefinition_1.FieldDefinition("Guarantor Household Annual Income", 10),
        "GT1-28": new fieldDefinition_1.FieldDefinition("Guarantor Household Size", 3),
        "GT1-29": new fieldDefinition_1.FieldDefinition("Guarantor Employer ID Number", 250),
        "GT1-30": new fieldDefinition_1.FieldDefinition("Guarantor Marital Status Code", 250),
        "GT1-31": new fieldDefinition_1.FieldDefinition("Guarantor Hire Effective Date", 8),
        "GT1-32": new fieldDefinition_1.FieldDefinition("Employment Stop Date", 8),
        "GT1-33": new fieldDefinition_1.FieldDefinition("Living Dependency", 2),
        "GT1-34": new fieldDefinition_1.FieldDefinition("Ambulatory Status", 2),
        "GT1-35": new fieldDefinition_1.FieldDefinition("Citizenship", 705),
        "GT1-36": new fieldDefinition_1.FieldDefinition("Primary Language", 705),
        "GT1-37": new fieldDefinition_1.FieldDefinition("Living Arrangement", 2),
        "GT1-38": new fieldDefinition_1.FieldDefinition("Publicity Code", 705),
        "GT1-39": new fieldDefinition_1.FieldDefinition("Protection Indicator", 1),
        "GT1-40": new fieldDefinition_1.FieldDefinition("Student Indicator", 2),
        "GT1-41": new fieldDefinition_1.FieldDefinition("Religion", 705),
        "GT1-42": new fieldDefinition_1.FieldDefinition("Mother's Maiden Name", 250),
        "GT1-43": new fieldDefinition_1.FieldDefinition("Nationality", 705),
        "GT1-44": new fieldDefinition_1.FieldDefinition("Ethnic Group", 705),
        "GT1-45": new fieldDefinition_1.FieldDefinition("Contact Person's Name", 250),
        "GT1-46": new fieldDefinition_1.FieldDefinition("Contact Person's Telephone Number", 250),
        "GT1-47": new fieldDefinition_1.FieldDefinition("Contact Reason", 705),
        "GT1-48": new fieldDefinition_1.FieldDefinition("Contact Relationship", 3),
        "GT1-49": new fieldDefinition_1.FieldDefinition("Job Title", 20),
        "GT1-50": new fieldDefinition_1.FieldDefinition("Job Code/Class", 20),
        "GT1-51": new fieldDefinition_1.FieldDefinition("Guarantor Employer's Organization Name", 250),
        "GT1-52": new fieldDefinition_1.FieldDefinition("Handicap", 2),
        "GT1-53": new fieldDefinition_1.FieldDefinition("Job Status", 2),
        "GT1-54": new fieldDefinition_1.FieldDefinition("Guarantor Financial Class", 50),
        "GT1-55": new fieldDefinition_1.FieldDefinition("Guarantor Race", 250),
        "GT1-56": new fieldDefinition_1.FieldDefinition("Guarantor Birth Place", 250),
        "GT1-57": new fieldDefinition_1.FieldDefinition("VIP Indicator", 2),
    };
    return FieldDefinitions;
}());
exports.FieldDefinitions = FieldDefinitions;
