"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefinitionBuilder = void 0;
var fieldDefinitions_1 = require("./data/fieldDefinitions");
var DefinitionBuilder = /** @class */ (function () {
    function DefinitionBuilder() {
    }
    /** Adds field definition (Description, length) to every field of the hl7 message*/
    DefinitionBuilder.prototype.addDefinitionToHl7Message = function (hl7Message) {
        if (!hl7Message || !hl7Message.children)
            throw new Error("hl7Message is not provided or incorrect hl7Message is provided");
        this.addDefinition(hl7Message.children);
    };
    DefinitionBuilder.prototype.addDefinition = function (children) {
        if (!children)
            return;
        for (var i = 0; i < children.length; i++) {
            var hl7FieldName = children[i].name;
            children[i].definition = fieldDefinitions_1.FieldDefinitions.getFieldDefinition(hl7FieldName);
            this.addDefinition(children[i].children);
        }
    };
    return DefinitionBuilder;
}());
exports.DefinitionBuilder = DefinitionBuilder;
