import { Hl7Message } from './models/hl7message.model';
export declare class Hl7Parser {
    /** Builds an Hl7Message model from Raw hl7 string.
     *
    "withDefinitions" flag indicates whether to build pure model or with definitions on every hl7 field
    */
    getHl7Model(rawHl7Message: string, withDefinitions?: boolean): Hl7Message;
    getRawHl7Message(hl7Message: Hl7Message): void;
    private buildHl7Message;
    private buildSegment;
    private buildElement;
}
